Bug 1566256 - DRb 'close' error for closed connection
Summary: DRb 'close' error for closed connection
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Adam Grare
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1566198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 21:23 UTC by Satoe Imaishi
Modified: 2018-07-27 15:43 UTC (History)
8 users (show)

(edit)
Clone Of: 1566198
(edit)
Last Closed: 2018-06-25 14:19:47 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:20 UTC

Comment 2 CFME Bot 2018-04-11 21:31:06 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/edcb7c5d3a0527d59d4b763bd6321a069e1c4360
commit edcb7c5d3a0527d59d4b763bd6321a069e1c4360
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Mon Apr  9 16:36:15 2018 -0400
Commit:     Joe Rafaniello <jrafanie@users.noreply.github.com>
CommitDate: Mon Apr  9 16:36:15 2018 -0400

    Merge pull request #17267 from agrare/bz_1562401_empty_pool_after_fork

    Set DRb conn pool to [] after closing connections
    (cherry picked from commit 142129eddf87212b71b60222d3dc41b2ed2e6e65)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1566256

 app/models/miq_worker.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 4 Dmitry Misharov 2018-05-23 12:40:22 UTC
Verified in 5.8.4.3.20180515170411_29cc195.

Comment 7 errata-xmlrpc 2018-06-25 14:19:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.